' VMware Support Upload Script v1.0 (2012-09-08)
' http://www.virten.net
' 
' Usage:
'  - Drag you vm-support file to the script
'  - Copy the script to your SendTo Folder
'  - Console Usage: VMware-upload.vbs [SUPPORTFILE] 

Set objArgs = WScript.Arguments

'VMware FTP Data
ftpHost="ftpsite.vmware.com"
ftpUsername="inbound"
ftpPassword="inbound"

'Only one file per Upload possible
If objArgs.Count <> 1 then
 msgbox "Please drop one file to the script."
 WScript.Quit
Else
  SupportFile = objArgs(0)
End If

'Inputbox to enter VMware Support Request Number
ftpTicket=InputBox("Enter VMware Support Request Number", "Upload vm-support")
If ftpTicket = "" Or Not IsNumeric(ftpTicket)  then
 msgbox "Illegal Support Request Number"
 WScript.Quit
End If

'Confirm upload
intAnswer = Msgbox("Upload " & SupportFile & " to VMware Ticket ID " & ftpTicket & "?", vbYesNo, "Upload vm-support")
If intAnswer = vbNo Then
 WScript.Quit
End If

Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objShell = CreateObject("WScript.Shell")

'Add quotes for supporting whitespace in filenames  
SupportFile = Trim(SupportFile)
SupportFile = chr(34) & SupportFile & chr(34)

'Build FTP commands 
ftpCommands = "USER " & ftpUsername & vbCRLF
ftpCommands = ftpCommands & ftpPassword & vbCRLF
ftpCommands = ftpCommands & "mkdir " & ftpTicket & vbCRLF
ftpCommands = ftpCommands & "cd " & chr(92) & ftpTicket & vbCRLF
ftpCommands = ftpCommands & "binary" & vbCRLF
ftpCommands = ftpCommands & "put " & SupportFile & vbCRLF
ftpCommands = ftpCommands & "quit" & vbCRLF

'Create temporary command files
tempdir = objShell.ExpandEnvironmentStrings("%TEMP%")
CommandFile = tempdir & chr(92) & objFSO.GetTempName
ResultFile = tempdir & chr(92) & objFSO.GetTempName
Set objCommandFile = objFSO.CreateTextFile(CommandFile, True)
objCommandFile.WriteLine(ftpCommands)
objCommandFile.Close

'Do the job
objShell.Run "%comspec% /c ftp -n -i -s:" & CommandFile & " " & ftpHost & " > " & ResultFile, 0, TRUE

'Display the result
Set Result = objFSO.OpenTextFile(ResultFile, 1, 0, -2)
Wscript.Echo Result.ReadAll
Result.Close

'Clean up 
objFSO.DeleteFile (CommandFile)
objFSO.DeleteFile (ResultFile)
